--- ./Setup.lhs.orig	2010-05-09 15:23:32.000000000 +0200
+++ ./Setup.lhs	2010-05-29 04:01:31.000000000 +0200
@@ -17,7 +17,7 @@
          ( Version(versionBranch) )
 import Distribution.Simple.LocalBuildInfo
          ( LocalBuildInfo(..), absoluteInstallDirs )
-import Distribution.Simple.InstallDirs (mandir, CopyDest (NoCopyDest))
+import Distribution.Simple.InstallDirs (prefix, CopyDest (NoCopyDest))
 import Distribution.Simple.Setup
     (buildVerbosity, copyDest, copyVerbosity, fromFlag,
      haddockVerbosity, installVerbosity, sDistVerbosity)
@@ -71,11 +71,13 @@
                 let verb = fromFlag $ haddockVerbosity flags
                  in commonBuildHook haddockHook pkg lbi hooks verb >>= ($ flags) ,
 
+#if %%BUILDING_EXECUTABLE%%
   postBuild = \ _ _ _ lbi -> buildManpage lbi,
   postCopy = \ _ flags pkg lbi ->
              installManpage pkg lbi (fromFlag $ copyVerbosity flags) (fromFlag $ copyDest flags),
   postInst = \ _ flags pkg lbi ->
              installManpage pkg lbi (fromFlag $ installVerbosity flags) NoCopyDest,
+#endif
 
   runTests = \ args _ _ lbi -> do
              cwd <- getCurrentDirectory
@@ -168,7 +170,7 @@
                   -> Verbosity -> CopyDest -> IO ()
 installManpage pkg lbi verbosity copy =
     copyFiles verbosity
-              (mandir (absoluteInstallDirs pkg lbi copy) </> "man1")
+              (prefix (absoluteInstallDirs pkg lbi copy) </> "man/man1")
               [(buildDir lbi </> "darcs", "darcs.1")]
 
 determineVersion :: Verbosity -> PackageDescription -> IO (String, String)
